Zero-day vulnerability in Adobe Acrobat Reader DC

Use-after-free
CVE-2021-28550

Vulnerability details

Advisory: SB2021051143 - Multiple vulnerabilities in Adobe Reader and Acrobat

Vulnerable component: Adobe Acrobat Reader DC

CVE-ID: CVE-2021-28550

CVSSv3 score: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H/E:H/RL:O/RC:C

CWE-ID: CWE-416 - Use After Free

Description:

The vulnerability allows a remote attacker to compromise vulnerable system.

The vulnerability exists due to a use-after-free error when processing PDF content. A remote attacker can create a specially crafted PDF file, trick the victim into opening it, trigger a use-after-free error and execute arbitrary code on the system.

Successful exploitation of the vulnerability may allow an attacker to compromise vulnerable system.

Note, the vulnerability is being actively exploited in the wild.

External links:

https://helpx.adobe.com/security/products/acrobat/apsb21-29.html